Bug 1109556 - Review Request: libhawaii - Library shared among Hawaii Shell and other applications
Summary: Review Request: libhawaii - Library shared among Hawaii Shell and other appli...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Hrcka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-15 10:14 UTC by Lubomir Rintel
Modified: 2014-07-25 19:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 19:09:58 UTC
Type: Bug
thrcka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-06-15 10:14:41 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/libhawaii.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/libhawaii-0.2.90-1.fc21.src.rpm

Description:

These are the libraries used by Hawaii Shell and other projects related
to the Hawaii desktop environment.

Comment 1 Tomas Hrcka 2014-06-15 13:22:24 UTC
Rpmlint (installed packages)
----------------------------
# rpmlint libhawaii libhawaii-devel
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaiishell.so.0.2.90 /lib64/libQt5Network.so.5
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaiishell.so.0.2.90 /lib64/libm.so.6
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaii.so.0.2.90 /lib64/libm.so.6
libhawaii.x86_64: E: library-without-ldconfig-postin /usr/lib64/libhawaiishell.so.0.2.90
libhawaii.x86_64: E: library-without-ldconfig-postun /usr/lib64/libhawaiishell.so.0.2.90
libhawaii.x86_64: E: library-without-ldconfig-postin /usr/lib64/libhawaii.so.0.2.90
libhawaii.x86_64: E: library-without-ldconfig-postun /usr/lib64/libhawaii.so.0.2.90
libhawaii-devel.x86_64: W: no-dependency-on libhawaii/libhawaii-libs/liblibhawaii
libhawaii-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 4 errors, 5 warnings.

Comment 2 Tomas Hrcka 2014-06-15 13:39:49 UTC
License field in spec file contains BSD license which is not used in the source code.

Comment 4 Tomas Hrcka 2014-06-15 13:50:38 UTC
Package Review - APPROVED
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "LGPL (v2 or later)", "GPL (v2 or later)".
     Detailed output of licensecheck in
     /home/thrcka/libhawaii/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libhawaii-0.2.90-2.fc21.x86_64.rpm
          libhawaii-devel-0.2.90-2.fc21.x86_64.rpm
          libhawaii-0.2.90-2.fc21.src.rpm
libhawaii-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libhawaii libhawaii-devel
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaiishell.so.0.2.90 /lib64/libQt5Network.so.5
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaiishell.so.0.2.90 /lib64/libm.so.6
libhawaii.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libhawaii.so.0.2.90 /lib64/libm.so.6
libhawaii-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
libhawaii (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Quick.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhawaii.so.0()(64bit)
    libhawaiishell.so.0()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libhawaii-devel (rpmlib, GLIBC filtered):
    cmake
    libhawaii(x86-64)
    libhawaii.so.0()(64bit)
    libhawaiishell.so.0()(64bit)



Provides
--------
libhawaii:
    libhawaii
    libhawaii(x86-64)
    libhawaii.so.0()(64bit)
    libhawaiishell.so.0()(64bit)
    libhawaiishellapplicationsplugin.so()(64bit)
    libhawaiishellcoreplugin.so()(64bit)

libhawaii-devel:
    libhawaii-devel
    libhawaii-devel(x86-64)



Unversioned so-files
--------------------
libhawaii: /usr/lib64/hawaii/qml/Hawaii/Shell/Applications/libhawaiishellapplicationsplugin.so
libhawaii: /usr/lib64/hawaii/qml/Hawaii/Shell/Core/libhawaiishellcoreplugin.so

Source checksums
----------------
https://github.com/mauios/libhawaii/archive/073865695902f025e9e71b83b6fca7aa9e356331/libhawaii-073865695902f025e9e71b83b6fca7aa9e356331.tar.gz :
  CHECKSUM(SHA256) this package     : 3bfe0454f6aa588f5f265bcda7d5337ea157ce66a55e19ee733621a01637c7b2
  CHECKSUM(SHA256) upstream package : 3bfe0454f6aa588f5f265bcda7d5337ea157ce66a55e19ee733621a01637c7b2


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n /home/thrcka/Downloads/libhawaii-0.2.90-2.fc21.src.rpm --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Lubomir Rintel 2014-06-15 14:49:30 UTC
Thank you!

New Package SCM Request
=======================
Package Name: libhawaii
Short Description: Library shared among Hawaii Shell and other applications
Upstream URL: https://github.com/mauios/libhawaii
Owners: lkundrak cicku plfiorini
Branches: f19 f20 el6 epel7

Comment 6 Kevin Fenzi 2014-06-18 16:34:08 UTC
Git done (by process-git-requests).

Comment 7 Lubomir Rintel 2014-07-25 19:09:58 UTC
Imported and built.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.